[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'ExtDlgs' (#lcl)

# TCalculatorDialog.CalcDisplay

CalcDisplay - the current numeric value in the main calculator display.

## Declaration

Source position: extdlgs.pas line 172

`public property TCalculatorDialog.CalcDisplay : Double read GetDisplay;`

## Description

CalcDisplay is a read-only Double property which contains the current numeric value for the calculator. The property value is read from the TCalculatorForm instance in DlgForm when it has been assigned. Otherwise the content stored in Value is used as the property value.

## See also

TCalculatorDialog.Value |  | Value - the numeric value (result) returned by the calculator.
TCalculatorForm |  | Implements the form used to display a calculator for a TCalculatorDialog instance.